# matt | MatterLinux package manager
The new MatterLinux package manager (successor of mp), built on top of [`libmp`](https://git.matterlinux.xyz/Matter/libmp).

### Installation
If you are using MatterLinux, since it's a core part of the system, this package should
already be installed If you are not using MatterLinux you can build it from the source and install it.

To this you will need the following tools and libraries:
- gcc
- make
- [libmp](https://git.matterlinux.xyz/Matter/libmp)
- libinih
- gettext

After installing these dependencies, you should download the latest release.
If you are building this program for development purposes, then you may also
build from the latest commit. However latest commit may not always be compilable.

After obtaining the source code, you can compile the program using the make
tool:
```bash
make
```

To install the binary and the configuration files, you can use the `install` command:
```bash
make install
```

### Usage
To get simple usage information, just run the program without any arguments or commands:
```bash
matt
```
To learn more about usage of this program and the configuration options,
see this MatterLinux [wiki page](https://matterlinux.xyz/wiki/matt).
